PHP ��U
前一頁 |  | 下一頁

# constant

(PHP 4 >= 4.0.4, PHP 5)

constant -- Returns the value of a constant

## Description

mixed constant ( string name )

constant() will return the value of the constant indicated by name.

constant() is useful if you need to retrieve the value of a constant, but do not know its name. I.e. it is stored in a variable or returned by a function.

This function works also with class constants.

範例 1. constant() example

`<?php define("MAXSIZE", 100); echo MAXSIZE; echo constant("MAXSIZE"); // same thing as the previous line ?>`

See also define(), defined() and the section on Constants.

前一頁 | 內容 | 下一頁
connection_timeout | 上一層 | define